Subject: Re: Makefile.in

From: Zheng Gengbing <[email-masked]>
Date: Tue, 7 May 1996 08:51:53 +0800 (EAT)

On Mon, 6 May 1996, Guansong Zhang wrote:

> On May 7,  8:39am, Zheng Gengbing wrote:
> > Subject: Re: Makefile.in
> > >
> > > Only at topdir we have a makefile, other dir is Makefile.in. When make
> > > distclean, the top makefile was remained.
> > >
> >
> >
> > 	Why must remain Makefile in top dir , it contains some configuration
> > information which is dir dependent , such as prefix . Do you think they
> > won't cause some confuse . Anyway I sugest , user must run configure
> > before install to create every Makefile .
> >
> >
> 
> That is our difference.
> 
> I suggest not let the top Makefile concains any result from configure, so it
> can be remained with out a Makefile.in.
> 
> I think it is quite clear in this way.
> 
> We can let the install dir to be pointed out in sub dir, in stead of the top.
> That is what I said in previous letter. You seemed neglect.
> 
> I don't think there is solid reason to let configure to create every makefile.
> 
> Guansong
> 

	If you insist that , I have no objection.

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************